## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/beneficial-ownership

### cURL

```bash
GET https://api-sandbox.dwolla.com/customers/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc/beneficial-ownership
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### JavaScript Example

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl = "https://api-sandbox.dwolla.com/customers/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc";

dwolla
  .get(`${customerUrl}/beneficial-ownership`)
  .then((res) => res.body.status); // => "uncertified"
```

### Python Example

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'

beneficial_ownership = app_token.get('%s/beneficial-ownership' % customer_url)
beneficial_ownership.body['status'] # => 'uncertified'
```

### PHP Example

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);

$newCustomer = 'https://api-sandbox.dwolla.com/customers/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc';
$customerOwnershipStatus = $customersApi->getOwnershipStatus($newCustomer);
?>
```

### Ruby Example

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'

beneficial_ownership = app_token.get "#{customer_url}/beneficial-ownership"
beneficial_ownership.status # => "uncertified"
```

### Response Statuses

- **200**
- **403**
- **404**

### Example Responses

```json
{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com",
      "type": "application/vnd.dwolla.v1.hal+json",
      "resource-type": "resource-type"
    }
  },
  "status": "uncertified"
}
```

```json
{
  "code": "forbidden",
  "message": "Not authorized to get certification status."
}
```

```json
{
  "code": "not_found",
  "message": "Ownership certification status not found."
}
```

### Authorizations

**Authorization**

- Type: String
- Location: Header
- Required: Yes

The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**

- Type: Enum<String>
- Default: application/vnd.dwolla.v1.hal+json
- Required: Yes

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

### Path Parameters

**id**

- Type: String
- Required: Yes

Customer unique identifier.

### Response

- **200**: application/vnd.dwolla.v1.hal+json for successful operation.

#### Response Attributes

- `_links`: Object - required

- `status`: Enum<String> - required, available options: `uncertified`, `certified`, `recertify`. Example: `
